Skip to main content
`Ctrl`+`K`

# DMDASetAOType

Sets the type of application ordering to create with `DMDAGetAO()`, for a distributed array.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetAOType(DM da, AOType aotype)

Collective

## Input Parameters

- da - the `DMDA`

- aotype - type of `AO`. `AOType` which can be `AOBASIC`, `AOADVANCED`, `AOMAPPING`, or `AOMEMORYSCALABLE`

## Note

It will generate an error if an `AO` has already been obtained with a call to `DMDAGetAO()` and the user sets a different `AOType`

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDACreate2d()`, `DMDAGetAO()`, `DMDAGetGhostCorners()`, `DMDAGetCorners()`, `DMLocalToGlobal()` `DMGlobalToLocalBegin()`, `DMGlobalToLocalEnd()`, `DMLocalToLocalBegin()`, `DMLocalToLocalEnd()`, `DMDAGetGlobalIndices()`, `DMDAGetOwnershipRanges()`, `AO`, `AOPetscToApplication()`, `AOApplicationToPetsc()`, `AOType`, `AOBASIC`, `AOADVANCED`, `AOMAPPING`, `AOMEMORYSCALABLE`

## Level

intermediate

## Location

src/dm/impls/da/daindex.c

## Examples

src/ksp/ksp/tutorials/ex59.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages